/******************************************************************************
*
* Freescale Semiconductor Inc.
* (c) Copyright 2008 Freescale Semiconductor, Inc.
* ALL RIGHTS RESERVED.
*
*******************************************************************************
*
* File      slotcarutils.c
*
* Author    Milan Brejl
* 
* Version   0.1
* 
* Date      10-Sep-2008
* 
* Brief     Various utilities used by the self-driven slot car application.
*
******************************************************************************/

#ifndef _SLOTCARUTILS_H
#define _SLOTCARUTILS_H

/******************************************************************************
* Includes
******************************************************************************/

/******************************************************************************
* Constants
******************************************************************************/

/******************************************************************************
* Macros 
******************************************************************************/

/******************************************************************************
* Types
******************************************************************************/

/******************************************************************************
* Global variables
******************************************************************************/

/******************************************************************************
* Global functions
******************************************************************************/

void PutToBuffer8(unsigned char value);
void PutToBuffer16(unsigned int value);
void StoreBufferToEeprom(void);
void LoadBufferFromEeprom(void);

void Wait(unsigned int waitTimeInMiliSec);

#endif /* _SLOTCARUTILS_H */
